Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1066511 - Enhancement - glusterd should be chkconfig-ed on
Summary: Enhancement - glusterd should be chkconfig-ed on
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: GlusterFS
Classification: Community
Component: glusterd
Version: mainline
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: bugs@gluster.org
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-18 14:51 UTC by SATHEESARAN
Modified: 2015-06-19 15:10 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-19 15:10:15 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description SATHEESARAN 2014-02-18 14:51:21 UTC
Description of problem:
-----------------------
After installing glusterfs 3.5 Beta3 rpms on CentOS, I see that 'gluster' is not chkconfig-ed

It would be good to chkconfig glusterd on, by default.

Version-Rlease number of selected component (if applicable):
------------------------------------------------------------
glusterfs-3.5 Beta3


How reproducible:
-----------------
NA - As this is a Enhancement


Steps to Reproduce:
--------------------
1. Check whether glusterd is chkconfig-ed post installation
2.
3.

Actual results:
---------------
glusterd is not chkconfig-ed on, so across reboots, glusterd would be down


Expected results:
------------------
glusterd should be chkconfig-ed on


Additional info:
----------------

[root@my-centos ~]# uname -r
2.6.32-431.5.1.el6.x86_64

[root@my-centos ~]# cat /etc/issue
CentOS release 6.5 (Final)
Kernel \r on an \m

[root@my-centos ~]# gluster --version
glusterfs 3.5.0beta3 built on Feb 11 2014 20:45:24
Repository revision: git://git.gluster.com/glusterfs.git
Copyright (c) 2006-2011 Gluster Inc. <http://www.gluster.com>
GlusterFS comes with ABSOLUTELY NO WARRANTY.
You may redistribute copies of GlusterFS under the terms of the GNU General Public License.

[root@my-centos ~]# gluster pe s
Connection failed. Please check if gluster daemon is operational.

[root@my-centos ~]# chkconfig --list glusterd
glusterd        0:off   1:off   2:off   3:off   4:off   5:off   6:off

Comment 1 SATHEESARAN 2015-06-19 15:10:15 UTC
Now glusterd is chkconfig-ed
Changing the state of this bug accordingly


Note You need to log in before you can comment on or make changes to this bug.